.header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    min-width: 300px;
    height: 103px;
    z-index: 1;
    @include flex-center;
    background-color: $ui-color-header-bg;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        align-items: flex-start;
        height: 118px;
        padding-top: 22px;
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        align-items: center;
        height: 100px;
        padding-top: 0;
        background-color: transparent;
    }
}

.header__container {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        position: static;
        align-items: flex-start;
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        align-items: center;
    }
}

.header_logo-wrapper {
    @include flex-center;
    gap: 17px;
    height: 41px;

    &:hover img {
        object-position: left;
    }

    &:hover p {
        color: $ui-color-white;
    }
}

.header__logo-icon {
    width: 43px;
    height: 41px;
    object-fit: cover;
    object-position: right;
}

.header__logo-title {
    display: none;
    font-family: Lato, sans-serif;
    font-size: 24px;
    line-height: 0.67;
    font-weight: 700;
    text-transform: uppercase;
    color: $ui-color-primary;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        display: block;
    }
}

.header__nav-wrapper {

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        @include flex-center;
        gap: 48px;
    }
}

.header__nav {

    @media screen and (min-width: $ui-breakpoint-md-min) {
        position: absolute;
        bottom: 14px;
        left: 50%;
        width: 100%;
        transform: translateX(-50%);
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        position: static;
        width: auto;
        transform: none;
    }
}

.header__nav-list {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 7;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    min-width: 293px;
    width: max-content;
    height: auto;
    background-color: $ui-color-header-menu;

    &.visible-menu {
        position: absolute;
        right: 10px;
        top: 103px;
        display: flex;
    }

    @media screen and (min-width: $ui-breakpoint-md-min) {
        position: static;
        @include flex-center;
        flex-direction: row; 
        gap: 48px;
        width: 100%;
        padding: 2px 0px 4px 0px;
        background-color: transparent;
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        padding: 0;
    }
}

.header__nav-item {
    position: relative;
    width: 100%;
    padding: 25px 0 25px 36px;
    font-family: Montserrat, sans-serif;
    font-size: 26px;
    line-height: 1;
    border-bottom: 3px solid $ui-color-header-menu-border;
    transition: $ui-transition-default;

    & a {
        color: $ui-color-white;
    }

    &:last-child {
        border-bottom: none;
    }

    @media screen and (min-width: $ui-breakpoint-md-min) {
        width: max-content;
        padding: 0;
        font-size: 16px;
        line-height: 1.13;
        font-weight: 700;
        border-bottom: none;

        & a {
            color: $ui-color-primary;
        }

        &:hover a {
            color: $ui-color-white;
        }
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        line-height: 1.06;
    }

    &.active {
        padding-left: 40px;

        &::before {
            position: absolute;
            top: 50%;
            left: 3px;
            content: "";
            width: 8px;
            height: 53px;
            background-color: $ui-color-primary;
            transform: translateY(-50%);
        }

        & a {
            color: $ui-color-primary;  
        }

        @media screen and (min-width: $ui-breakpoint-md-min) {
           padding-left: 0;

            &::before {
                display: none;
            }

            &:hover a {
                color: $ui-color-white;
            }
        }
    }
}

.header__buy-button {
    width: 119px;
    height: 37px;
    font-size: 15px;
    line-height: 1;
    font-weight: 700;
}

.header__menu-button {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    gap: 6px;
    cursor: pointer;

    & span {
        width: 26px;
        height: 3px;
        border-radius: 5px;
        background: $ui-color-white;

        &:first-child {
            width: 15px;
        }
    }

    &.visible-button {
        display: flex;

        @media screen and (min-width: $ui-breakpoint-md-min) {
            display: none;
        }
    }
}

.header__exit-button {
    position: relative;
    display: none;
    width: 26px;
    height: 24px;
    cursor: pointer;

    & svg {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
    }

    &.visible-button {
        display: flex;
    }
}

